package com.tencent.mm.plugin.story.ui.view;

import a.l;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.media.widget.camerarecordview.a.b;
import com.tencent.mm.model.cb;
import com.tencent.mm.plugin.story.c.a.c;
import com.tencent.mm.plugin.story.c.a.c.a;
import com.tencent.mm.plugin.story.model.i;
import com.tencent.mm.vfs.e;

@l(dWo = {1, 1, 13}, dWp = {"\u0000\u0019\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0004*\u0001\u0000\b\n\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H\u0016J\b\u0010\u0004\u001a\u00020\u0005H\u0016J\b\u0010\u0006\u001a\u00020\u0003H\u0016J\b\u0010\u0007\u001a\u00020\u0003H\u0016J\b\u0010\b\u001a\u00020\u0005H\u0016¨\u0006\t"}, dWq = {"com/tencent/mm/plugin/story/ui/view/CaptureView$getEncodeConfig$1", "Lcom/tencent/mm/media/widget/camerarecordview/data/IEncodeConfig;", "getAudioBitrate", "", "getFilePath", "", "getRecordType", "getSampleRate", "getThumbPath", "plugin-story_release"})
public final class CaptureView$c implements b {
    CaptureView$c() {
    }

    public final int Ww() {
        AppMethodBeat.i(110299);
        int i = ((a) c.rRk.Uw()).etz;
        AppMethodBeat.o(110299);
        return i;
    }

    public final int getSampleRate() {
        AppMethodBeat.i(110300);
        int i = ((a) c.rRk.Uw()).audioSampleRate;
        AppMethodBeat.o(110300);
        return i;
    }

    public final int Wx() {
        AppMethodBeat.i(110301);
        int i = ((a) c.rRk.Uw()).fzS;
        AppMethodBeat.o(110301);
        return i;
    }

    public final String getFilePath() {
        AppMethodBeat.i(110302);
        i.a aVar = i.rSv;
        long aaE = cb.aaE();
        e.tf(i.cxK());
        String str = i.cxK() + "record" + aaE + ".mp4";
        AppMethodBeat.o(110302);
        return str;
    }

    public final String Wy() {
        AppMethodBeat.i(110303);
        i.a aVar = i.rSv;
        String kY = i.a.kY(cb.aaE());
        AppMethodBeat.o(110303);
        return kY;
    }
}
